﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace GetData

    <Serializable>
    Public Class GetInvoice

        <XmlElement(ElementName:="Choice")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Choice() As ChoiceInvoice

    End Class

    <Serializable>
    Public Class ChoiceInvoice

        '''<remarks/>
        <XmlElement(ElementName:="DocumentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DocumentNumber() As String

        '''<remarks/>
        '''Format: YYYY-MM-DD
        <XmlElement(ElementName:="ChangedSince")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ChangedSince() As String

    End Class

End Namespace
