﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetServiceResponse
        Private ServicesField As Services

        <XmlElement(ElementName:="Services")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Services() As Services
            Get
                Return Me.ServicesField
            End Get
            Set
                Me.ServicesField = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Services
        Private ServciesListe As List(Of Service)

        Public Sub New()
            ServciesListe = New List(Of Service)
        End Sub

        Public Sub Add(pService As Service)
            ServciesListe.Add(pService)
        End Sub

        <XmlElement(ElementName:="Service")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSitesListe() As List(Of Service)
            Get
                Return Me.ServciesListe
            End Get
            Set
                Me.ServciesListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Service

        '''<remarks/>
        <XmlElement(ElementName:="No")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property No() As String

        '''<remarks/>
        <XmlElement(ElementName:="Description")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Description() As String

        '''<remarks/>
        <XmlElement(ElementName:="Description2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Description2() As String

        '''<remarks/>
        <XmlElement(ElementName:="ServiceLevel")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ServiceLevel() As Integer

        '''<remarks/>
        <XmlElement(ElementName:="ServiceGroupCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ServiceGroupCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="BaseUnitOfMeasure")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BaseUnitOfMeasure() As String

    End Class

End Namespace
